/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package medicationitemdist

import (
	e "simrs-vx/internal/domain/main-entities/medication-item-dist"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.MedicationItemDist) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.MedicationItem_Id = inputSrc.MedicationItem_Id
	data.DateTime = inputSrc.DateTime
	data.Remain = inputSrc.Remain
	data.Nurse_Code = inputSrc.Nurse_Code
}
